apiVersion: apps/v1
kind: Deployment
metadata:
  name: issuer-be
  labels:
    app: issuer-be
spec:
  replicas: 1
  selector:
    matchLabels:
      app: issuer-be
  template:
    metadata:
      labels:
        app: issuer-be
    spec:
      containers:
        - name: issuer-be
          image: maeri/esspass-issuer-be:latest
          ports:
            - containerPort: 3005
          env:
            - name: dbHost
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: database_url
            - name: port
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: database_port
            - name: user
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-root-username
            - name: pass
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-root-password
---
apiVersion: v1
kind: Service
metadata:
  name: issuer-be-service
spec:
  selector:
    app: issuer-be
  type: LoadBalancer
  ports:
    - protocol: TCP
      port: 3005
      targetPort: 3005
      nodePort: 30001
